<!DOCTYPE html>
<html>
<head>
  </head>
  <body>

<div class=" panel panel-default">
<div class="panel-heading">
  <h2> <strong> Ajouter Véhicule </strong></h2>
</div>
 <br> 
<div class="panel-body" >
<form [formGroup]="f"(ngSubmit)="onSubmit()" ngNoForm>


    <!--<div class="form-group ">
 <input type="number" name="id_vehicule" placeholder="Entrer Id" formControlName="id_vehicule" class="form-control" [(ngModel)]="vehicule.id_vehicule">
<div *ngFor="let validation of validation_messages.id_vehicule">
  <div class="error-message" *ngIf="f.get('id_vehicule').hasError(validation.type) &&  (f.get('id_vehicule').dirty ||  f.get('id_vehicule').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div> -->

<div class="form-group ">
<input type="text" name="marque" placeholder="Entrer la marque" formControlName="marque" pattern="[a-zA-Z ]*" class="form-control" [(ngModel)]="vehicule.marque" > 
<div *ngFor="let validation of validation_messages.marque">
  <div class="error-message" *ngIf="f.get('marque').hasError(validation.type) &&  (f.get('marque').dirty ||  f.get('marque').touched)">              
    {{validation.message}} 
  </div>
</div><br>
</div>


<div class="form-group ">
<input type="text" name="matricule" placeholder="Entrer la matricule "formControlName="matricule"  class="form-control"  [(ngModel)]="vehicule.matricule"> 
<div *ngFor="let validation of validation_messages.matricule">
  <div class="error-message" *ngIf="f.get('matricule').hasError(validation.type) &&  (f.get('matricule').dirty ||  f.get('matricule').touched)">              
    {{validation.message}} 
  </div>
</div>
<br>
</div>

<form (ngSubmit)="onSubmit()">
<div class="form-group ">
<input type="text" name="chemin_gris_carte"  class="form-control" placeholder=" Entrer le chemin de la carte grise" [(ngModel)]="vehicule.chemin_gris_carte"> 
</div>
<br>

<div class="form-group ">
 <input type="text" name="model"  class="form-control" placeholder=" Entrer le model" [(ngModel)]="vehicule.model"  ngModel pattern="[a-zA-Z ]*"> 
</div>
<br>


 <div class="form-group ">
  <input type="text" name="sous_marque"   class="form-control" placeholder=" Entrer le sous marque"[(ngModel)]="vehicule.sous_marque"> 
 </div>
 <br>
 <div class="form-group ">
  <input type="text" name="etat" class="form-control" placeholder=" Entrer etat du véhicule"  [(ngModel)]="vehicule.etat"> 
 </div>
 <br>

</form> 

<button type="submit" class="btn btn-success "> Ajouter</button> 
&nbsp;&nbsp;&nbsp;
<button type="reset" class="btn btn-warning" > Annuler</button>

</form>
</div>
</div>

</body>

</html>
